# Constant Field Values

## Contents

- ij.plugin.*
- ij.process.*
- skyview.process.*
- skyview.sia.*

## ij.plugin.*

ij.plugin.JpegWriter
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_QUALITY`
`75`

## ij.process.*

ij.process.ImageProcessor
Modifier and Type
Constant Field
Value
`public static final int`
`BICUBIC`
`2`
`public static final int`
`BILINEAR`
`1`
`public static final int`
`BLACK`
`-16777216`
`public static final int`
`BLACK_AND_WHITE_LUT`
`1`
`public static final int`
`BLUR_MORE`
`0`
`public static final int`
`CENTER_JUSTIFY`
`1`
`public static final int`
`CONVOLVE`
`5`
`public static final int`
`FIND_EDGES`
`1`
`public static final int`
`ISODATA`
`0`
`public static final int`
`ISODATA2`
`1`
`public static final int`
`LEFT_JUSTIFY`
`0`
`public static final int`
`MAX`
`4`
`public static final int`
`MEDIAN_FILTER`
`2`
`public static final int`
`MIN`
`3`
`public static final int`
`NEAREST_NEIGHBOR`
`0`
`public static final int`
`NO_LUT_UPDATE`
`2`
`public static final double`
`NO_THRESHOLD`
`-808080.0`
`public static final int`
`NONE`
`0`
`public static final int`
`OVER_UNDER_LUT`
`3`
`public static final int`
`RED_LUT`
`0`
`public static final int`
`RIGHT_JUSTIFY`
`2`

## skyview.process.*

skyview.process.imagefinder.Checker
Modifier and Type
Constant Field
Value
`public static final int`
`CONSUMED`
`-4`
`public static final int`
`NO_COVERAGE`
`-2`
`public static final int`
`NON_PHYSICAL`
`-3`
`public static final int`
`SPLIT_X`
`-16`
`public static final int`
`SPLIT_XY`
`-48`
`public static final int`
`SPLIT_Y`
`-32`
`public static final int`
`UNCHECKED`
`-1`
skyview.process.imagefinder.RectRecurse
Modifier and Type
Constant Field
Value
`public static final int`
`CONSUMED`
`-4`
`public static final int`
`NO_COVERAGE`
`-2`
`public static final int`
`NON_PHYSICAL`
`-3`
`public static final int`
`SPLIT_X`
`-16`
`public static final int`
`SPLIT_XY`
`-48`
`public static final int`
`SPLIT_Y`
`-32`
`public static final int`
`UNCHECKED`
`-1`

## skyview.sia.*

skyview.sia.Checker
Modifier and Type
Constant Field
Value
`public static final int`
`CONSUMED`
`-4`
`public static final int`
`NO_COVERAGE`
`-2`
`public static final int`
`NON_PHYSICAL`
`-3`
`public static final int`
`SPLIT_X`
`-16`
`public static final int`
`SPLIT_XY`
`-48`
`public static final int`
`SPLIT_Y`
`-32`
`public static final int`
`UNCHECKED`
`-1`